Subject: bug#12636: 24.2.50; url-retrieve does not work as expected via local proxy server

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 25 Dec 2015 22:27:45 +0100

Christoph Scholtes <[email-masked]> writes:

> I use the privoxy proxy on Ubuntu 12.04. For testing, Ubuntu is proxy
> settings are globally configured for https on 127.0.0.1 port
> 8118 only. The http_proxy env variable reflects this correctly. privoxy is
> started and running. I confirmed that I go through the proxy with a
> browser pointed to a https website.
>
> emacs -Q
>
> Evaluate the following in scratch:
> (require 'url)
> (pop-to-buffer (url-retrieve-syhronously
> "https://raw.github.com/dimitri/el-get/master/el-get-install.el"))
>
> Minibuffer says "Contacting host: 127.0.0.1:8118". After about a minute
> or so a buffer named *http 127.0.0.1:8118*-10921 [no process] pops up
> that contains the following:
>
> HTTP/1.1 200 Connection established
> Proxy-Agent: Privoxy/3.0.19
>
> Then nothing happens. I was expecting see to the content of the page.
> If I use url-retrieve with a http url it works and displays the content
> retrieved from the url in the buffer.

Is `url-using-proxy' set to anything?

And is this still not working in Emacs 25?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no